diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/dbi/mysql.dbi.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/dbi/mysql.dbi.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/dbi/mysql.dbi.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/dbi/mysql.dbi.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * Interface to the classic MySQL extension
  *
- * @version $Id: mysql.dbi.lib.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
@@ -300,6 +300,8 @@ function PMA_DBI_getError($link = null)
         $error_message = PMA_DBI_convert_message($error_message);
     }
 
+    $error_message = htmlspecialchars($error_message);
+
     // Some errors messages cannot be obtained by mysql_error()
     if ($error_number == 2002) {
         $error = '#' . ((string) $error_number) . ' - ' . $GLOBALS['strServerNotResponding'] . ' ' . $GLOBALS['strSocketProblem'];
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/dbi/mysqli.dbi.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/dbi/mysqli.dbi.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/dbi/mysqli.dbi.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/dbi/mysqli.dbi.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * Interface to the improved MySQL extension (MySQLi)
  *
- * @version $Id: mysqli.dbi.lib.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
@@ -417,6 +417,8 @@ function PMA_DBI_getError($link = null)
         $error_message = PMA_DBI_convert_message($error_message);
     }
 
+    $error_message = htmlspecialchars($error_message);
+
     if ($error_number == 2002) {
         $error = '#' . ((string) $error_number) . ' - ' . $GLOBALS['strServerNotResponding'] . ' ' . $GLOBALS['strSocketProblem'];
     } elseif (defined('PMA_MYSQL_INT_VERSION') && PMA_MYSQL_INT_VERSION >= 40100) {
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/db_info.inc.php phpMyAdmin-2.11.10.1-all-languages/libraries/db_info.inc.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/db_info.inc.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/db_info.inc.php	2010-08-20 13:47:14.000000000 +0700
@@ -32,7 +32,7 @@
  * @uses    strnatcasecmp()
  * @uses    count()
  * @uses    addslashes()
- * @version $Id: db_info.inc.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/db_links.inc.php phpMyAdmin-2.11.10.1-all-languages/libraries/db_links.inc.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/db_links.inc.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/db_links.inc.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: db_links.inc.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/db_routines.inc.php phpMyAdmin-2.11.10.1-all-languages/libraries/db_routines.inc.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/db_routines.inc.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/db_routines.inc.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: db_routines.inc.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/db_table_exists.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/db_table_exists.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/db_table_exists.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/db_table_exists.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -4,7 +4,7 @@
  * Ensure the database and the table exist (else move to the "parent" script)
  * and display headers
  *
- * @version $Id: db_table_exists.lib.php 12102 2008-12-09 14:03:57Z nijel $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/display_change_password.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/display_change_password.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/display_change_password.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/display_change_password.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * Displays form for password change 
  *
- * @version $Id: display_change_password.lib.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/display_create_database.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/display_create_database.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/display_create_database.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/display_create_database.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * Displays form for creating database (if user has privileges for that)
  *
- * @version $Id: display_create_database.lib.php 11402 2008-07-15 18:42:50Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/display_create_table.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/display_create_table.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/display_create_table.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/display_create_table.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * Displays form for creating a table (if user has privileges for that)
  *
- * @version $Id: display_create_table.lib.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/display_export.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/display_export.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/display_export.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/display_export.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: display_export.lib.php 12302 2009-03-24 08:55:07Z nijel $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/display_import.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/display_import.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/display_import.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/display_import.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: display_import.lib.php 11405 2008-07-17 14:02:26Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/display_select_lang.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/display_select_lang.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/display_select_lang.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/display_select_lang.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * Code for displaying language selection
  *
- * @version $Id: display_select_lang.lib.php 11449 2008-08-01 19:00:36Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/display_tbl.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/display_tbl.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/display_tbl.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/display_tbl.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: display_tbl.lib.php 11307 2008-06-10 16:32:39Z lem9 $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/display_tbl_links.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/display_tbl_links.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/display_tbl_links.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/display_tbl_links.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -7,7 +7,7 @@
  * - reversed the right modify links: 1. drop, 2. edit, 3. checkbox
  * - also changes made in js/functions.js
  *
- * @version $Id: display_tbl_links.lib.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/engines/bdb.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/engines/bdb.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/engines/bdb.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/engines/bdb.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -1,7 +1,7 @@
 <?php
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
- * @version $Id: bdb.lib.php 10137 2007-03-19 17:55:39Z cybot_tm $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/engines/berkeleydb.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/engines/berkeleydb.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/engines/berkeleydb.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/engines/berkeleydb.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -1,7 +1,7 @@
 <?php
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
- * @version $Id: berkeleydb.lib.php 10137 2007-03-19 17:55:39Z cybot_tm $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/engines/binlog.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/engines/binlog.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/engines/binlog.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/engines/binlog.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -1,7 +1,7 @@
 <?php
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
- * @version $Id: binlog.lib.php 10137 2007-03-19 17:55:39Z cybot_tm $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/engines/innobase.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/engines/innobase.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/engines/innobase.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/engines/innobase.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: innobase.lib.php 10137 2007-03-19 17:55:39Z cybot_tm $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/engines/innodb.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/engines/innodb.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/engines/innodb.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/engines/innodb.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -1,7 +1,7 @@
 <?php
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
- * @version $Id: innodb.lib.php 10478 2007-07-09 19:41:38Z lem9 $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/engines/memory.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/engines/memory.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/engines/memory.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/engines/memory.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -1,7 +1,7 @@
 <?php
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
- * @version $Id: memory.lib.php 10137 2007-03-19 17:55:39Z cybot_tm $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/engines/merge.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/engines/merge.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/engines/merge.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/engines/merge.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -1,7 +1,7 @@
 <?php
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
- * @version $Id: merge.lib.php 10137 2007-03-19 17:55:39Z cybot_tm $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/engines/mrg_myisam.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/engines/mrg_myisam.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/engines/mrg_myisam.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/engines/mrg_myisam.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -1,7 +1,7 @@
 <?php
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
- * @version $Id: mrg_myisam.lib.php 10137 2007-03-19 17:55:39Z cybot_tm $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/engines/myisam.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/engines/myisam.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/engines/myisam.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/engines/myisam.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -1,7 +1,7 @@
 <?php
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
- * @version $Id: myisam.lib.php 10137 2007-03-19 17:55:39Z cybot_tm $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/engines/ndbcluster.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/engines/ndbcluster.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/engines/ndbcluster.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/engines/ndbcluster.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -1,7 +1,7 @@
 <?php
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
- * @version $Id: ndbcluster.lib.php 10137 2007-03-19 17:55:39Z cybot_tm $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/export/csv.php phpMyAdmin-2.11.10.1-all-languages/libraries/export/csv.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/export/csv.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/export/csv.php	2010-08-20 13:47:14.000000000 +0700
@@ -1,7 +1,7 @@
 <?php
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
- * @version $Id: csv.php 11357 2008-06-28 14:17:11Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/export/excel.php phpMyAdmin-2.11.10.1-all-languages/libraries/export/excel.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/export/excel.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/export/excel.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * Set of functions used to build CSV dumps of tables
  *
- * @version $Id: excel.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/export/htmlexcel.php phpMyAdmin-2.11.10.1-all-languages/libraries/export/htmlexcel.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/export/htmlexcel.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/export/htmlexcel.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * Set of functions used to build CSV dumps of tables
  *
- * @version $Id: htmlexcel.php 11484 2008-08-13 16:28:43Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/export/htmlword.php phpMyAdmin-2.11.10.1-all-languages/libraries/export/htmlword.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/export/htmlword.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/export/htmlword.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * Set of functions used to build CSV dumps of tables
  *
- * @version $Id: htmlword.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/export/latex.php phpMyAdmin-2.11.10.1-all-languages/libraries/export/latex.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/export/latex.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/export/latex.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * Set of functions used to build dumps of tables
  *
- * @version $Id: latex.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/export/ods.php phpMyAdmin-2.11.10.1-all-languages/libraries/export/ods.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/export/ods.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/export/ods.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * Set of functions used to build CSV dumps of tables
  *
- * @version $Id: ods.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/export/odt.php phpMyAdmin-2.11.10.1-all-languages/libraries/export/odt.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/export/odt.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/export/odt.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * Set of functions used to build CSV dumps of tables
  *
- * @version $Id: odt.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/export/pdf.php phpMyAdmin-2.11.10.1-all-languages/libraries/export/pdf.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/export/pdf.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/export/pdf.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * Produce a PDF report (export) from a query
  *
- * @version $Id: pdf.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/export/sql.php phpMyAdmin-2.11.10.1-all-languages/libraries/export/sql.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/export/sql.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/export/sql.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * Set of functions used to build SQL dumps of tables
  *
- * @version $Id: sql.php 11471 2008-08-09 13:58:44Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/export/xls.php phpMyAdmin-2.11.10.1-all-languages/libraries/export/xls.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/export/xls.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/export/xls.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * Set of functions used to build XLS dumps of tables
  *
- * @version $Id: xls.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/export/xml.php phpMyAdmin-2.11.10.1-all-languages/libraries/export/xml.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/export/xml.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/export/xml.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * Set of functions used to build XML dumps of tables
  *
- * @version $Id: xml.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/export/yaml.php phpMyAdmin-2.11.10.1-all-languages/libraries/export/yaml.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/export/yaml.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/export/yaml.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * Set of functions used to build YAML dumps of tables
  *
- * @version $Id: yaml.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/File.class.php phpMyAdmin-2.11.10.1-all-languages/libraries/File.class.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/File.class.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/File.class.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * file upload functions
  *
- * @version $Id: File.class.php 11205 2008-04-22 11:26:24Z nijel $
+ * @version $Id$
  */
 
 /**
@@ -488,7 +488,7 @@ class PMA_File
      */
     function isReadable()
     {
-        // surpress warnings from beeing displayed, but not from beeing logged
+        // suppress warnings from being displayed, but not from being logged
         // any file access outside of open_basedir will issue a warning
         ob_start();
         $is_readable = is_readable($this->getName());
@@ -527,42 +527,15 @@ class PMA_File
             return true;
         }
 
-        /**
-         * it is not important if open_basedir is set - we just cannot read the file
-         * so we try to move it
-        if ('' != ini_get('open_basedir')) {
-         */
-
-        // check tmp dir config
-        if (empty($GLOBALS['cfg']['TempDir'])) {
-            $GLOBALS['cfg']['TempDir'] = 'tmp/';
-        }
-
-        // surpress warnings from beeing displayed, but not from beeing logged
-        ob_start();
-        // check tmp dir
-        if (! is_dir($GLOBALS['cfg']['TempDir'])) {
-            // try to create the tmp directory
-            if (@mkdir($GLOBALS['cfg']['TempDir'], 0777)) {
-                chmod($GLOBALS['cfg']['TempDir'], 0777);
-            } else {
-                // create tmp dir failed
-                $this->_error_message = $GLOBALS['strFieldInsertFromFileTempDirNotExists'];
-                ob_end_clean();
-                return false;
-            }
-        }
-        ob_end_clean();
-
-        if (! is_writable($GLOBALS['cfg']['TempDir'])) {
+        if (empty($GLOBALS['cfg']['TempDir']) || ! is_writable($GLOBALS['cfg']['TempDir'])) {
             // cannot create directory or access, point user to FAQ 1.11
             $this->_error_message = $GLOBALS['strFieldInsertFromFileTempDirNotExists'];
             return false;
         }
 
-        $new_file_to_upload = $GLOBALS['cfg']['TempDir'] . '/' . basename($this->getName());
+        $new_file_to_upload = tempnam(realpath($GLOBALS['cfg']['TempDir']), basename($this->getName()));
 
-        // surpress warnings from beeing displayed, but not from beeing logged
+        // suppress warnings from being displayed, but not from being logged
         // any file access outside of open_basedir will issue a warning
         ob_start();
         $move_uploaded_file_result = move_uploaded_file($this->getName(), $new_file_to_upload);
@@ -602,7 +575,7 @@ class PMA_File
      */
     function _detectCompression()
     {
-        // surpress warnings from beeing displayed, but not from beeing logged
+        // suppress warnings from being displayed, but not from being logged
         // f.e. any file access outside of open_basedir will issue a warning
         ob_start();
         $file = fopen($this->getName(), 'rb');
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/file_listing.php phpMyAdmin-2.11.10.1-all-languages/libraries/file_listing.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/file_listing.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/file_listing.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * Functions for listing directories
  *
- * @version $Id: file_listing.php 11001 2007-12-15 14:30:37Z lem9 $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/footer.inc.php phpMyAdmin-2.11.10.1-all-languages/libraries/footer.inc.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/footer.inc.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/footer.inc.php	2010-08-20 13:47:14.000000000 +0700
@@ -42,7 +42,7 @@
  * @uses    PMA_DBI_close()
  * @uses    basename()
  * @uses    file_exists()
- * @version $Id: footer.inc.php 11402 2008-07-15 18:42:50Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/get_foreign.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/get_foreign.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/get_foreign.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/get_foreign.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: get_foreign.lib.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/grab_globals.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/grab_globals.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/grab_globals.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/grab_globals.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -6,7 +6,7 @@
  * variables from them. It does the same work for $HTTP_ACCEPT_LANGUAGE and 
  * $HTTP_AUTHORIZATION.
  *
- * @version $Id: grab_globals.lib.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/header_http.inc.php phpMyAdmin-2.11.10.1-all-languages/libraries/header_http.inc.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/header_http.inc.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/header_http.inc.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: header_http.inc.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/header.inc.php phpMyAdmin-2.11.10.1-all-languages/libraries/header.inc.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/header.inc.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/header.inc.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: header.inc.php 11422 2008-07-24 17:12:32Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/header_meta_style.inc.php phpMyAdmin-2.11.10.1-all-languages/libraries/header_meta_style.inc.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/header_meta_style.inc.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/header_meta_style.inc.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: header_meta_style.inc.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/header_printview.inc.php phpMyAdmin-2.11.10.1-all-languages/libraries/header_printview.inc.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/header_printview.inc.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/header_printview.inc.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: header_printview.inc.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/iconv_wrapper.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/iconv_wrapper.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/iconv_wrapper.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/iconv_wrapper.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: iconv_wrapper.lib.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/import/csv.php phpMyAdmin-2.11.10.1-all-languages/libraries/import/csv.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/import/csv.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/import/csv.php	2010-08-20 13:47:14.000000000 +0700
@@ -4,7 +4,7 @@
  * CSV import plugin for phpMyAdmin
  *
  * @todo    add an option for handling NULL values
- * @version $Id: csv.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/import/docsql.php phpMyAdmin-2.11.10.1-all-languages/libraries/import/docsql.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/import/docsql.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/import/docsql.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * DocSQL import plugin for phpMyAdmin
  *
- * @version $Id: docsql.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/import/ldi.php phpMyAdmin-2.11.10.1-all-languages/libraries/import/ldi.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/import/ldi.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/import/ldi.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * CSV import plugin for phpMyAdmin
  *
- * @version $Id: ldi.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/import/README phpMyAdmin-2.11.10.1-all-languages/libraries/import/README
--- phpMyAdmin-2.11.9.6-all-languages/libraries/import/README	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/import/README	2010-08-20 13:47:14.000000000 +0700
@@ -4,7 +4,7 @@ messages with their definition in langua
 plugins for your use, you can use directly texts in plugin.
 
 <?php
-/* $Id: README 9609 2006-10-26 10:52:15Z nijel $ */
+/* $Id$ */
 // vim: expandtab sw=4 ts=4 sts=4 ft=php:
 
 /* Demo import plugin for phpMyAdmin */
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/import/sql.php phpMyAdmin-2.11.10.1-all-languages/libraries/import/sql.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/import/sql.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/import/sql.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * SQL import plugin for phpMyAdmin
  *
- * @version $Id: sql.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
